---
title: 300 Multiple Choices
slug: Web/HTTP/Status/300
tags:
  - HTTP
  - HTTP Status Code
  - Reference
  - Status code
---
<div>{{HTTPSidebar}}</div>

<p>The HTTP <code><strong>300 Multiple Choices</strong></code> redirect status response code indicates that the request has more than one possible responses. The user-agent or the user should choose one of them. As there is no standardized way of choosing one of the responses, this response code is very rarely used.</p>

<p>If the server has a preferred choice, it should generate a {{HTTPHeader("Location")}} header.</p>

<h2 id="Status">Status</h2>

<pre class="syntaxbox">300 Multiple Choices
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Title</th>
		</tr>
		<tr>
			<td>{{RFC("7231", "300 Multiple Choices" , "6.4.1")}}</td>
			<td>Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content</td>
		</tr>
	</tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{HTTPStatus("301")}} <code>Moved Permanently</code></li>
	<li>{{HTTPStatus("302")}} <code>Found</code>, the temporary redirect</li>
	<li>{{HTTPStatus("308")}} <code>Permanent Redirect</code></li>
</ul>
